GROUPDEL(8)

NOME
groupdel - rimuove un gruppo

SINOSSI

groupdel [opzioni] GRUPPO

DESCRIZIONE

Il comando groupdel modifica i file di account di sistema rimuovendo tutte le voci che si riferiscono a GRUPPO. Il gruppo indicato deve esistere.

OPZIONI

Il comando groupdel accetta le seguenti opzioni:

-h, --help
    Mostra un messaggio di aiuto ed esce.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

AVVISI/CAVEAT

Non si può rimuovere un gruppo che sia gruppo primario di un utente. Occorre rimuovere l'utente prima di rimuovere il gruppo.

Occorre controllare manualmente tutti i file system per assicurarsi che non rimanga alcun file avente questo ID di gruppo.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

VALORI RESTITUITI

Il comando groupdel restituisce i seguenti valori:

0
    successo

2
    sintassi del comando errata

6
    il gruppo specificato non esiste

8
    operazione impossibile perché il gruppo è primario per un utente

10
    non è possibile aggiornare il file group

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupmod(8), useradd(8), userdel(8), usermod(8).